Install Not The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (Not The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select Not The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

Not The 1.7.10 Pack Version 1.096.5

created by jcettison on Minecraft 1.7.10
You must be logged in to comment. Click here to register a new account or log in.
More Player Models?
KutikiPlayz 4 years ago
any chance of adding traincraft to this?
Skylordjovis 5 years ago
if the owner allows me to update it i will be adding the following mods Mods going to be added MineDonalds Lego/Billund mod Rival Rebels WinterCraft So Much Armor mods i'm not sure about hexxit gear FTB trophies Lucky Block sit mod { by same guy who made security craft} mods i will not be adding to the mod-pack adventure back pack school mod jurassic craft FTB island pam's harvest craft {OPTIONAL! owner or server rank people will be chosing if pam's harvest craft is added}
TheColeMan_05 5 years ago
Did you ever update it?
Posted by Kbg48 4 years ago
Download not working?
LemonOfDeath 6 years ago
Same Here
Posted by TheNinjaStealth 6 years ago
Why did you delete the pack download?
TRIGGA sCoPeZ 6 years ago
>.> could you fix your dl... thanks
assasinwar9 6 years ago
why did you take it down???
Silvernova115 6 years ago
could you update server files? thanks
assasinwar9 6 years ago
can you include gregtech?
Silvernova115 6 years ago
Hey sometimes when i fight mobs i have the bug that i cant open chests or pick up items anymore (everything else works)
tomiscrazy 7 years ago
hey there, Ever since you updated the game in December this mod pack has continually crashed for me and my friend. We love the pack and was working fine, but now as soon as me or him try to load an actual world it crashes
Comja 7 years ago
Have you tried reinstalling the pack? Join us on Discord and I'd be happy to troubleshoot with you.
Posted by jcettison 7 years ago | Modpack Creator
Hey, I have two mods that I would like to suggest. The first is GravityGun, and it adds the gravity gun from the half life series. I have added and tested the 4.0.0 version and it works fine as far as I can tell. I don't see any conflicts or errors. The second mod is PowerConverters-1.7.10_3.2.1. It adds a couple blocks that inputs a specific mod's power type and outputs another specific mod's power type. I added it to mine because there are some power types that Mekanism's universal power cables don't play nicely with. It does not cause any conflicts or errors as far as I can tell. I've had these mods for a few months now so there may be newer versions (probably not gravitygun, it's been on 4.0.0 for a year). Or if you can't find where to download them, I'll upload the .jars I have and drop you a link. Also, Galaxy Space is adding a button to the main menu saying it needs an update. Don't know if it matters or not. Love this modpack, I'll never need another.
The_Infamous_Alk 7 years ago
Thanks for the praise. I'll take a look at your suggested mods and see how they fit in. (I'm not sure what the gravity gun does, but the Portal Gun is already included.) GalaxySpace is still in active development, so it's likely to have been updated. I'll be doing an update-update (bringing mods to their most current versions wherever possible) in the next week or so. Keep an eye out.
Posted by jcettison 7 years ago | Modpack Creator
anyone got a way to speed up the load time? it takes close to 8 minutes on my desktop....
Sardonicus 7 years ago
Yes. Remove some mods. Otherwise, make sure you've got the highest possible single-core clock speed and have at least 5GB of RAM allotted. Takes about 3 minutes on my desktop; but my desktop is relatively new (and expensive). I do my low-spec testing on my wife's laptop (Surface Pro 3 i7) and hers takes about 5 minutes.
Posted by jcettison 7 years ago | Modpack Creator
I am trying to host a server with my friend but every time we try to connect it says "Mod rejections [FMLMod:MineFactoryReloaded:CompatMagicalCrops{1.2.1}] the server boots up fine, we just can't connect to it, do you know how I can fix this? Thanks.
D4N_GILBERRIES 7 years ago
It seems like you might have an old version of the server pack or client. Get the server pack from: http://repo.deusversus.com/nt1710p.zip Server pack is usually tied to the Latest version rather than the Recommended version. So make sure to keep the client updated.
Posted by jcettison 7 years ago | Modpack Creator
Ever considered adding twilight forest or the aether (when it updates)?
Deleted User 7 years ago
Twilight Forest is already included.
Posted by jcettison 7 years ago | Modpack Creator
The Aether II seems like an interesting mod. It'll have to be tested for compatibility.
Posted by jcettison 7 years ago | Modpack Creator
Aether II has been added to the pack
Posted by jcettison 7 years ago | Modpack Creator
You forgot ProjectE and Logistics Pipes.
Tbster1417 7 years ago
I'll look into them.
Posted by jcettison 7 years ago | Modpack Creator
LogisticsPipes is in the newest version of The 1.7.10 Pack and is included in our 1.095.1 update. ProjectE seems interesting, so I'll test run it for compatibility and maybe we'll see it in a future update.
Posted by jcettison 7 years ago | Modpack Creator
ProjectE has been added to the pack.
Posted by jcettison 7 years ago | Modpack Creator
Is this ever going to be updated to a more current version of the 1.7.10 Pack?
Noodleneck 7 years ago
Yes
Posted by jcettison 7 years ago | Modpack Creator
And now it has been.
Posted by jcettison 7 years ago | Modpack Creator
where i find the modpack in technick luncher
Mintiikcek 7 years ago
Just swearch not the 1.7.10 pack
Posted by Bluesquid 7 years ago
Lol Phant...did you click on the books in the inv menu? Either way, the servers been down for a while just a heads up :)
craven23 8 years ago
Are there servers for this?
Evil Heckler 8 years ago

Latest Update

Not The 1.7.10 Pack was updated to version 1.096.5